Index: src/sas/sasgui/perspectives/fitting/pagestate.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/pagestate.py	(revision 6c382da7a67e14f0ad75317f0696ce771b802d39)
+++ src/sas/sasgui/perspectives/fitting/pagestate.py	(revision e6de6b8b31744ebe652ab6206d60d0d20979c592)
@@ -1619,108 +1730,25 @@
         """
 
-        if state.data is None:
-            data = sas.sascalc.dataloader.data_info.Data1D(x=[], y=[])
+        self.batchfit_params = batchfit
+        if state.data is None or not state.data.is_data:
             return None
-        elif not state.data.is_data:
-            return None
+        # make sure title and data run are filled.
+        if state.data.title is None or state.data.title == '':
+            state.data.title = state.data.name
+        if state.data.run_name is None or state.data.run_name == {}:
+            state.data.run = [str(state.data.name)]
+            state.data.run_name[0] = state.data.name
+
+        if issubclass(state.data.__class__,
+                      sas.sascalc.dataloader.data_info.Data1D):
+            data = state.data
+            doc, sasentry = self._to_xml_doc(data)
         else:
-            #make sure title and data run is filled up.
-            if state.data.title == None or state.data.title == '':
-                state.data.title = state.data.name
-            if state.data.run_name == None or state.data.run_name == {}:
-                state.data.run = [str(state.data.name)]
-                state.data.run_name[0] = state.data.name
-
-            if issubclass(state.data.__class__,
-                          sas.sascalc.dataloader.data_info.Data1D):
-                data = state.data
-                doc, sasentry = self._to_xml_doc(data)
-            else:
-                data = state.data
-                doc, sasentry = self._data2d_to_xml_doc(data)
+            data = state.data
+            doc, sasentry = self._data2d_to_xml_doc(data)
 
         if state is not None:
-            doc = state.toXML(doc=doc, file=data.filename, entry_node=sasentry)
+            doc = state.toXML(doc=doc, file=data.filename, entry_node=sasentry,
+                              batch_fit_state=self.batchfit_params)
 
         return doc
-
-# Simple html report templet
-HEADER = "<html>\n"
-HEADER += "<head>\n"
-HEADER += "<meta http-equiv=Content-Type content='text/html; "
-HEADER += "charset=windows-1252'> \n"
-HEADER += "<meta name=Generator >\n"
-HEADER += "</head>\n"
-HEADER += "<body lang=EN-US>\n"
-HEADER += "<div class=WordSection1>\n"
-HEADER += "<p class=MsoNormal><b><span ><center><font size='4' >"
-HEADER += "%s</font></center></span></center></b></p>"
-HEADER += "<p class=MsoNormal>&nbsp;</p>"
-PARA = "<p class=MsoNormal><font size='4' > %s \n"
-PARA += "</font></p>"
-CENTRE = "<p class=MsoNormal><center><font size='4' > %s \n"
-CENTRE += "</font></center></p>"
-FEET_1 = \
-"""
-<p class=MsoNormal>&nbsp;</p>
-<br>
-<p class=MsoNormal><b><span ><center> <font size='4' > Graph
-</font></span></center></b></p>
-<p class=MsoNormal>&nbsp;</p>
-<center>
-<br><font size='4' >Model Computation</font>
-<br><font size='4' >Data: "%s"</font><br>
-"""
-FEET_2 = \
-"""
-<img src="%s" >
-</img>
-"""
-FEET_3 = \
-"""
-</center>
-</div>
-</body>
-</html>
-"""
-ELINE = "<p class=MsoNormal>&nbsp;</p>"
-
-if __name__ == "__main__":
-    state = PageState(parent=None)
-    #state.toXML()
-    """
-
-    file = open("test_state", "w")
-    pickle.dump(state, file)
-    print pickle.dumps(state)
-    state.data_name = "hello---->"
-    pickle.dump(state, file)
-    file = open("test_state", "r")
-    new_state= pickle.load(file)
-    print "new state", new_state
-    new_state= pickle.load(file)
-    print "new state", new_state
-    #print "state", state
-    """
-    import bsddb
-    import pickle
-    db = bsddb.btopen('file_state.db', 'c')
-    val = (pickle.dumps(state), "hello", "hi")
-    db['state1'] = pickle.dumps(val)
-    print pickle.loads(db['state1'])
-    state.data_name = "hello---->22"
-    db['state2'] = pickle.dumps(state)
-    state.data_name = "hello---->2"
-    db['state3'] = pickle.dumps(state)
-    del db['state3']
-    state.data_name = "hello---->3"
-    db['state4'] = pickle.dumps(state)
-    new_state = pickle.loads(db['state1'])
-    #print db.last()
-    db.set_location('state2')
-    state.data_name = "hello---->5"
-    db['aastate5'] = pickle.dumps(state)
-    db.keys().sort()
-    print pickle.loads(db['state2'])
-
-    db.close()
